Bug 1611005 (CVE-2018-14734) - CVE-2018-14734 kernel: use-after-free in ucma_leave_multicast in drivers/infiniband/core/ucma.c
Summary: CVE-2018-14734 kernel: use-after-free in ucma_leave_multicast in drivers/infi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14734
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1611007 1611008 1615040 1615041 1615042 1615043 1772242 1772243 1772244 1772245
Blocks: 1611009
TreeView+ depends on / blocked
 
Reported: 2018-08-01 21:44 UTC by Laura Pardo
Modified: 2019-11-18 07:55 UTC (History)
47 users (show)

Fixed In Version: kernel 4.18-rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux Kernel in the ucma_leave_multicast() function in drivers/infiniband/core/ucma.c which allows access to a certain data structure after freeing it in ucma_process_join(). This allows an attacker to cause a use-after-free bug and to induce kernel memory corruption, leading to a system crash or other unspecified impact. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:34:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0831 None None None 2019-04-23 14:30:22 UTC
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:14 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:41 UTC

Description Laura Pardo 2018-08-01 21:44:35 UTC
A flaw was found in Linux Kernel in the ucma_leave_multicast() function in drivers/infiniband/core/ucma.c which allows to access a certain data structure after freeing it in ucma_process_join(). This allows an attacker to cause use-after-free bug and to induce kernel memory corruption, leading to a system crash or other unspecified impact.

References:

https://marc.info/?t=152787806300002&r=1&w=2

https://patchwork.kernel.org/patch/10444267/

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=cb2595c1393b4a5211534e6f0a0fbad369e21ad8

Comment 1 Laura Pardo 2018-08-01 21:57:02 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1611007]

Comment 6 errata-xmlrpc 2019-04-23 14:30:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0831 https://access.redhat.com/errata/RHSA-2019:0831

Comment 7 errata-xmlrpc 2019-08-06 12:04:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 8 errata-xmlrpc 2019-08-06 12:06:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043


Note You need to log in before you can comment on or make changes to this bug.